module Vman
  module Help

    def self.docs
      docs = <<-EOF

      Vman - the object version manager!

      Usage:
        vman configure      Generate a Vman config file at ~/.vman.json
        vman pull [-f]      (Dry run) Pull changes from remote S3 bucket to local directory
        vman push [-f]      (Dry run) Push changes from local directory to remote S3 bucket
        vman diff [-r]      Show file differences for pushing from local to remote
        vman -i             Open the Vman interactive menu for finer-grained actions
        vman -v             Show current installed gem version

      Options:
        -f      Force the action and apply changes, instead of dry-run
        -r      Reverse the diff. Show file differences for pulling from remote to local

      EOF

      docs
    end

  end
end
